import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { BehaviorSubject } from "rxjs";
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { TraxService } from '../../services/trax.service';
import { FormControl } from '@angular/forms';
import dayjs from 'dayjs';
import { Router } from '@angular/router';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { ToastService } from 'tango-app-ui-shared';
import * as i0 from "@angular/core";
export declare class ManageTaskComponent implements OnDestroy, OnInit {
    private cd;
    gs: GlobalStateService;
    private pageInfo;
    private traxService;
    private router;
    private dialog;
    private toast;
    dayjs: typeof dayjs;
    private destroy$;
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    paginationSizes: number[];
    pageSize: number;
    sortColumName: string;
    sortDirection: number;
    taskTableApiState: BehaviorSubject<"initial" | "loading" | "loaded">;
    taskTableData: any[];
    headerData: any;
    searchInput: FormControl;
    constructor(cd: ChangeDetectorRef, gs: GlobalStateService, pageInfo: PageInfoService, traxService: TraxService, router: Router, dialog: NgbModal, toast: ToastService);
    ngOnInit(): void;
    setPageData(): void;
    ngOnDestroy(): void;
    getTaskTable(): void;
    sortData(column: string): void;
    onPageSizeChange(pageSize: any): void;
    onPageChange(pageOffset: any): void;
    formatDueDate(date: string): string;
    onAction(type: 'view' | 'edit' | 'delete' | 'duplicate', data: any): void;
    openDeletePopup(details: any): void;
    onDuplicate(details: any): void;
    publish(event: any, data: any, i: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ManageTaskComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ManageTaskComponent, "lib-manage-task", never, {}, {}, never, never, false, never>;
}
